"""
$RCSfile: ISandboxRegistry.py,v $

The CVSFile package is a Zope product.  CVSFile allows one to use
CVS as a version control system for Zope content, by pointing to a
file in the developer's CVS sandbox on the Zope server.
CVSSandboxRegistry encapsulates information about CVS sandboxes, which is
obtained by CVSFile objects via acquisition.  ISandboxRegistry is the
interface implemented by CVSSandboxRegistry

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2003/04/19 05:08:35 $'[6:-2]
__version__ = '$Revision: 1.2 $'[10:-2]

# Zope Base Classes
from Interface import Base

################################################################
# ISandboxRegistry interface
################################################################

class ISandboxRegistry(Base):
    """
    ISandboxRegistry
    """

    def sandboxList(self):
        "Returns the list of sandboxes"
        
    def numSandboxes(self):
        "return the number of sandboxes currently registered"

    def getSandboxByName(self, sandboxName):
        "return the named sandbox, or None"

    def isSelected(self, sandboxName, REQUEST):
        """
        
        Return 1 if name represents the currently selected sandbox,
        or 0 if it is not, or if the name does not exist

        """

    def isDefault(self, sandboxName):
        """
        
        Return 1 if name represents the default sandbox,
        or 0 if it is not, or if the name does not exist

        """

    def getSelectedSandbox(self, REQUEST):
        """

        return the selected sandbox or None, if no sandbox has been
        selected by the current user.

        """

    def getDefaultSandbox(self):
        "return the default sandbox"

    def getCurrentSandbox(self, REQUEST):
        """
        return the selected sandbox or the default, if none has been
        selected
        """
        
    def setDefaultSandbox(self, sandboxName):
        """

        set the default sandbox to the one whose name is passed.  Barf
        if the name does not exist in this registry

        """

    def selectSandbox(self, sandboxName, REQUEST):
        """
        
        Select the named sandbox.  Barf if the named sandbox does not
        exist.

        """

    def addSandbox(self, si):
        """
        
        Add a sandbox to the registry, using the values in the passed
        in SandboxInfo.  Barf if it has the same name as an existing
        sandbox

        """

    def removeSandbox(self, SandboxName):
        """
        
        Remove a sandbox from the registry.  Barf if it does not exist
        or is the default sandbox

        """

    def changeSandbox(self, nameOfSandboxToChange, newSI):
        """
        
        Change the named sandbox to reflect the values as passed in
        the SandboxInfo parameter

        """

    def checkoutSandbox(self, checkoutModule, checkoutArgs, si):
        """
        
        Perform a checkout recursively on the entire sandbox, using
        the sandbox information from the SandboxInfo parameter.
        
        """
