"""
$RCSfile: __init__.py,v $

The CVSFile package is a Zope product.  CVSFile allows one to use CVS
as a version control system for Zope content, by pointing to a file in
the developer's local CVS sandbox.

Author: <a href="mailto:cstrong@arielpartners.com">Craeg Strong</a>
Release: 1.0
"""
__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2003/05/05 07:07:33 $'[6:-2]
__version__ = '$Revision: 1.21 $'[10:-2]

# python builtins
from socket import gethostname

from CVSFile import manage_addCVSFileForm, addCVSFile, cvsinfo
from CreationDialog import manage_addObjectViaGui, manage_confirmCreateObject, \
     manage_confirmCreateObjectForm, manage_conflictCreateObjectForm
from CVSFileBatch import manage_addBatchViaGui, \
     manage_addBatch, illegalCharsAsString, \
     omittedDirNamesAsString, omittedDirPrefixesAsString, \
     omittedDirSuffixesAsString, omittedFileNamesAsString, \
     omittedFilePrefixesAsString, omittedFileSuffixesAsString
from CVSSandboxRegistry import manage_addCVSSandboxRegistryForm, \
     manage_addCVSSandboxRegistry, addCVSSandboxRegistry, \
     findCVSSandboxRegistry

methods = { 'manage_addCVSFileForm'           : manage_addCVSFileForm,
            'gethostname'                     : gethostname,
            'cvsinfo'                         : cvsinfo,
            'findCVSSandboxRegistry'          : findCVSSandboxRegistry,
            'manage_confirmCreateObjectForm'  : manage_confirmCreateObjectForm,
            'manage_conflictCreateObjectForm' : manage_conflictCreateObjectForm,
            'illegalCharsAsString'            : illegalCharsAsString,
            'omittedDirNamesAsString'         : omittedDirNamesAsString,
            'omittedDirPrefixesAsString'      : omittedDirPrefixesAsString,
            'omittedDirSuffixesAsString'      : omittedDirSuffixesAsString,
            'omittedFileNamesAsString'        : omittedFileNamesAsString,
            'omittedFilePrefixesAsString'     : omittedFilePrefixesAsString,
            'omittedFileSuffixesAsString'     : omittedFileSuffixesAsString }

def initialize(context):
    """
    
    Initialize the CVSFile product.  This makes the object appear
    in the Zope product list menu.  initialize() is called by Zope
    when starting a Zope server.

    """

    try:
        context.registerClass(CVSFile.CVSFile,  # register this class in Zope
                              constructors = (
            manage_addCVSFileForm,
            addCVSFile,
            manage_addObjectViaGui,
            manage_addBatchViaGui,
            manage_addBatch,
            findCVSSandboxRegistry),
                              icon = 'www/fish.gif'
                              )

        context.registerClass(CVSSandboxRegistry.CVSSandboxRegistry,  # register this class in Zope
                              constructors = (
            manage_addCVSSandboxRegistryForm,    # called when someone adds product to a folder
            manage_addCVSSandboxRegistry,
            addCVSSandboxRegistry),
                              icon = 'www/fish.gif'
                              )

        context.registerHelp()
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb
