"""
$RCSfile: alltests.py,v $

Run all CVSFile unit tests

Author: <a href="mailto:support@arielpartners.com">Ariel Partners, LLC</a>

$Id: alltests.py,v 1.1 2003/04/18 03:19:32 cstrong Exp $
Release 1.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2003/04/18 03:19:32 $'[6:-2]
__version__ = '$Revision: 1.1 $'[10:-2]

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

# Load fixture
from Testing import ZopeTestCase

# Import the TestCase from each module
from TestCVSFile import CVSFileTestCase
from TestCVSSandboxRegistry import CVSSandboxRegistryTestCase

# Add the TestCase class to this list
unitTests = (
    CVSFileTestCase,
    CVSSandboxRegistryTestCase
    )

################################################################
# The rest is boilerplate: don't touch
################################################################
import unittest, os

masterSuite = unittest.TestSuite(map(lambda x: unittest.makeSuite(x, 'test'),
                                     unitTests))

runner = unittest.TextTestRunner()

if __name__ == '__main__':
    runner.run(masterSuite)
